Last Comment Bug 288945 - clicking links in client-side image maps scrolls the page to the bottom of the imagemap, making it impossible to click some imagemap links
: clicking links in client-side image maps scrolls the page to the bottom of th...
Status: VERIFIED FIXED
: regression, testcase, verified1.8.0.1, verified1.8.1
Product: Core
Classification: Components
Component: Event Handling (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.8.1
Assigned To: events
: Hixie (not reading bugmail)
Mentors:
: 295545 306203 307727 317438 318757 321677 (view as bug list)
Depends on: 105894
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-04 03:23 PDT by Jan Darmochwal
Modified: 2006-03-12 18:25 PST (History)
12 users (show)
asa: blocking1.8b5-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
large image required by testcase (3.99 KB, image/png)
2005-04-04 03:25 PDT, Jan Darmochwal
no flags Details
testcase (444 bytes, text/html)
2005-04-04 03:28 PDT, Jan Darmochwal
no flags Details
Testcase without link around image (1.10 KB, text/plain)
2005-04-16 12:07 PDT, Gérard Talbot
no flags Details
Testcase without link around image (1.10 KB, text/html)
2005-04-16 12:11 PDT, Gérard Talbot
no flags Details

Description Jan Darmochwal 2005-04-04 03:23:40 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b2) Gecko/20050402
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b2) Gecko/20050402

A large image with an image map is inside <a>-tags like this:
   <a href="blah"><img src="image" usemap="map"></a>
(This is probably not good style, but I haven't found anything in the html specs
forbidding it and validator.w3c.org does not complain.)

If you click one of the image map's links, there are two possible cases:
  1) the bottom of the image is on your screen:
    The browser will follow the link.
  2) the bottom of the image is not on your screen:
    The browser will jump to the bottom of the image.

This makes it impossible to follow links at the top of large images.

The jumping behaviour also occurs if there is an image (with no image map)
inside <a>-tags, but the browser will follow the link anyway.


Reproducible: Always

Steps to Reproduce:
1. click the "button" in the testcase

Actual Results:  
Mozilla jumps to the bottom of the image.


Expected Results:  
Mozilla follows the button's link.


This bug is related to bug 105894 (fixing bug 105894 would probably fix this one
as well), but it does not depend on it.

This is a Seamonkey only problem, works for me with Firefox 1.0.2.
Comment 1 Jan Darmochwal 2005-04-04 03:25:31 PDT
Created attachment 179561 [details]
large image required by testcase
Comment 2 Jan Darmochwal 2005-04-04 03:28:26 PDT
Created attachment 179563 [details]
testcase
Comment 3 Gérard Talbot 2005-04-16 12:07:15 PDT
Created attachment 180900 [details]
Testcase without link around image

This is almost the same testcase as attachment 179563 [details] except that there is no
extra double quote character and the image is not embedded within a link.
Comment 4 Gérard Talbot 2005-04-16 12:11:26 PDT
Created attachment 180902 [details]
Testcase without link around image

This is almost the same testcase as attachment 179563 [details] except that there is no
extra double quote character and the image is not embedded within a link.
(Sorry, about previous comment and previous testcase: I forgot to select type
of attachment)
Comment 5 zug_treno 2005-08-28 05:33:31 PDT
*** Bug 306203 has been marked as a duplicate of this bug. ***
Comment 6 zug_treno 2005-08-28 06:02:34 PDT
*** Bug 295545 has been marked as a duplicate of this bug. ***
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2005-09-10 09:46:21 PDT
*** Bug 307727 has been marked as a duplicate of this bug. ***
Comment 8 Michael Newton 2005-09-15 22:52:24 PDT
Not just a Seamonkey bug...

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-CA; rv:1.8b4) Gecko/20050908 Firefox/1.4

(FF 1.5 beta 1)
Comment 9 Masayuki Nakano [:masayuki] (Mozilla Japan) (working slowly due to injured) 2005-09-18 04:33:52 PDT
fixed by bug 105894.
Comment 10 Elmar Ludwig 2005-11-22 15:50:34 PST
*** Bug 317438 has been marked as a duplicate of this bug. ***
Comment 11 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2005-12-03 01:52:15 PST
*** Bug 318757 has been marked as a duplicate of this bug. ***
Comment 12 :Gavin Sharp [email: gavin@gavinsharp.com] 2005-12-09 09:12:08 PST
*** Bug 318757 has been marked as a duplicate of this bug. ***
Comment 13 Ria Klaassen (not reading all bugmail) 2005-12-28 01:11:49 PST
*** Bug 321677 has been marked as a duplicate of this bug. ***
Comment 14 Jay Patel [:jay] 2006-01-11 15:54:45 PST
v.fixed on 1.8.0.1 with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1 with testcase in comment #4, click on image takes you to link page.

Note You need to log in before you can comment on or make changes to this bug.